Page MenuHomeFreeBSD

www/qt5-webengine: Add support for WebRTC
ClosedPublic

Authored by kai on Apr 13 2019, 3:43 PM.

Details

Summary

Add WebRTC support to www/qt5-webengine. The patches were again taken from www/chromium.

Related PR: 236915

Test Plan
  • poudriere on 11.2-RELEASE amd64 -> OK (builds for the other releases are still running at the moment)
  • Runtime test on https://test.webrtc.org/ didn't cause a crash as it was the case without the patches.
  • Needs some more torough testing with typical use-cases. Testers are welcome!

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Apr 13 2019, 3:43 PM
rakuco added a subscriber: rakuco.Apr 14 2019, 5:28 PM
rakuco added inline comments.
www/qt5-webengine/Makefile
11 ↗(On Diff #56171)

Can you remove this comment?

kai updated this revision to Diff 56366.Apr 18 2019, 9:40 PM

Removed the comment in the Makefile regarding WebRTC and updated the date in UPDATING.

kai marked an inline comment as done.Apr 18 2019, 9:41 PM
phascolarctos_protonmail.ch requested changes to this revision.May 7 2019, 9:59 AM

I tested the patch and it builds fine for me (12.0-STABLE r347145 amd64).

I could not complete the runtime test https://test.webrtc.org/ because I disabled INET6 on my system, so that the tests do not go through that step. Microphone works fine, camera does not but I never used it with any software so I can not say that it is WebRTC's fault. UDP and TCP work.

I thought getting WebRTC to work would have solved bug https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237277 about videos being reproduced with wrong colors (see comment 5, more precisely the link https://wiki.qt.io/QtWebEngine/VideoAcceleration ), however it is not fixed for me on falkon. Maybe this could be investigated a bit.
If, on the contrary, WebRTC has nothing to do with the bug, then the patch is fine for me.

This revision now requires changes to proceed.May 7 2019, 9:59 AM
rakuco added a comment.Jun 2 2019, 8:33 PM

Hi, is there anything still blocking this review?

phascolarctos_protonmail.ch accepted this revision.EditedJun 2 2019, 8:45 PM

I change my status revision to approved: it is unsure if the bug I referenced depends on webrtc and, if it does, it can be dealt with another time.

This revision is now accepted and ready to land.Jun 2 2019, 8:45 PM

Hi, is there anything still blocking this review?

I assumed it's in your garden :)

tcberner accepted this revision.Jun 8 2019, 1:22 PM

Ship it

This revision was automatically updated to reflect the committed changes.